npm WARN deprecated [...] when building NodeBB image


  • General information:
    NodeBB-Version: v1.10.2 (GitHub master)
    Database: MongoDB
    Docker: 18.09.0, build 4d60db4
    Language: German (de-DE)
    Installation directory: /usr/src/app


    When building a NodeBB docker image, following warning appear. Maybe it would be good if NodeBB would update these:

    npm WARN deprecated [email protected]: CircularJSON is in maintenance only, flatted is its successor.
    npm WARN deprecated [email protected]: This version is no longer maintained. Please upgrade to the latest version.
    npm WARN deprecated [email protected]: This version is no longer maintained. Please upgrade to the latest version.
    npm WARN deprecated [email protected]: This version is no longer maintained. Please upgrade to the latest version.
    npm WARN lifecycle [email protected]~install: cannot run in wd [email protected] neon build >> build.log 2>&1 || exit 0 (wd=/usr/src/app/node_modules/benchpressjs/rust/benchpress-rs)
    npm notice created a lockfile as package-lock.json. You should commit this file.
    

Suggested Topics

| |